Intel Wireless-AC 9462/9560 not supported on ICL

Bug #1835879 reported by You-Sheng Yang on 2019-07-09
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned
linux-firmware (Ubuntu)
Undecided
You-Sheng Yang
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned
linux-oem-osp1 (Ubuntu)
Undecided
You-Sheng Yang
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]
Intel Wireless-AC 9560/9462 is not correctly enabled on IceLake
platforms.

[Fix]
Two changes from Intel maintained backport-iwlwifi repository are
necessary to add device ID/configs to iwlwifi driver.

[Test]
Verified on hardware 9462/9560 on IceLake/CometLake platforms.

[Regression Potential]
Low. These changes are part of the series to enable 9462/9560 on
CometLake/IceLake platforms that don't have the support originally.

===== Original Bug Description =====

Intel Wireless-AC 9462/9560 on CML was previously enabled via bug 1833065, bug 1834415 and bug 1834464. However on ICL, it fails to startup with following error messages with kernel v5.2-rc7:

  iwlwifi 0000:00:14.3: loaded firmware version 48.13675109.0 op_mode iwlmvm
  iwlwifi 0000:00:14.3: Detected Intel(R) Wireless-AC 9560, REV=0x338
  iwlwifi 0000:00:14.3: Loaded firmware version: 48.13675109.0
  iwlwifi 0000:00:14.3: SecBoot CPU1 Status: 0x5c97, CPU2 Status: 0x3
  iwlwifi 0000:00:14.3: Failed to start RT ucode: -5
  iwlwifi 0000:00:14.3: Collecting data: trigger 16 fired.
  iwlwifi 0000:00:14.3: Firmware not running - cannot dump error
  iwlwifi 0000:00:14.3: Failed to run INIT ucode: -5

Also tried backport-iwlwifi out-of-tree driver revision 7858 (HEAD at the moment) with no luck.

Related branches

You-Sheng Yang (vicamo) wrote :
Changed in linux-oem-osp1 (Ubuntu):
status: New → Triaged
status: Triaged → In Progress
You-Sheng Yang (vicamo) on 2019-07-09
tags: added: oem-priority originate-from-1833195 somerville
You-Sheng Yang (vicamo) wrote :
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: New → In Progress
You-Sheng Yang (vicamo) on 2019-07-09
description: updated
You-Sheng Yang (vicamo) on 2019-07-11
Changed in linux-oem-osp1 (Ubuntu Cosmic):
status: New → Won't Fix
Changed in linux-oem-osp1 (Ubuntu Disco):
status: New → Won't Fix
Timo Aaltonen (tjaalton) on 2019-07-11
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-oem-osp1 (Ubuntu):
status: In Progress → Fix Committed
You-Sheng Yang (vicamo) wrote :

For linux-firmware part, we'll only need ibt-19-32-0.{sfi,ddc} for 9462 on ICL, which has been committed as https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/commit/?id=d52556e4592e64023157a83fb0f483661f23ac0e. This should be backported to B/C/D, and let Eoan to be rebased on latest upstream HEAD.

Changed in linux-firmware (Ubuntu):
assignee: nobody → You-Sheng Yang (vicamo)
status: New → In Progress
Changed in linux-firmware (Ubuntu Bionic):
status: New → In Progress
Changed in linux-firmware (Ubuntu Cosmic):
status: New → In Progress
Changed in linux-firmware (Ubuntu Disco):
status: New → In Progress
Seth Forshee (sforshee) on 2019-07-16
Changed in linux-firmware (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Cosmic):
status: In Progress → Won't Fix
Changed in linux-firmware (Ubuntu Disco):
status: In Progress → Fix Committed
You-Sheng Yang (vicamo) on 2019-07-17
Changed in linux-firmware (Ubuntu):
status: In Progress → Fix Committed

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.178.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Andy Whitcroft (apw) wrote :

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1015.16

---------------
linux-oem-osp1 (5.0.0-1015.16) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1015.16 -proposed tracker (LP: #1836856)

  * System does not auto detect disconnection of external monitor (LP: #1835001)
    - drm/i915: Add support for retrying hotplug
    - drm/i915: Enable hotplug retry

  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - ALSA: hda: hdmi - add Icelake support
    - ALSA: hda/hdmi - Remove duplicated define
    - ALSA: hda/hdmi - Fix i915 reverse port/pin mapping

  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Input: alps - don't handle ALPS cs19 trackpoint-only device

  * First click on Goodix touchpad doesn't be recognized after runtime suspended
    (LP: #1836836)
    - SAUCE: i2c: designware: add G3 3590 into i2c quirk

 -- Timo Aaltonen <email address hidden> Thu, 18 Jul 2019 11:29:53 +0300

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in linux-oem-osp1 (Ubuntu Disco):
status: Won't Fix → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.2 KiB)

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1018.20

---------------
linux-oem-osp1 (5.0.0-1018.20) bionic; urgency=medium

  * alsa/hdmi: the sound is distorted when playing via nvidia hdmi
    (LP: #1838243)
    - ALSA: hda: program stripe control for codec

  * alsa/sof: let legacy hda driver and sof driver co-exist (LP: #1837828)
    - ASoC: Intel: Skylake: move NHLT header to common directory
    - ALSA: hda: move parts of NHLT code to new module
    - ALSA: hda: intel-nhlt: handle NHLT VENDOR_DEFINED DMIC geometry
    - ASoC: Intel: Skylake: use common NHLT module
    - ALSA: hda/intel: stop probe if DMICS are detected on Skylake+ platforms
    - [Config] enable SND_HDA_INTEL_DETECT_DMIC for dmic
    - [Config] enable SND_HDA_INTEL_DETECT_DMIC for dmic

  * alsa/sof: the headphone doesn't work when sound-setting opens (LP: #1837900)
    - Revert "ASoC: SOF: hda: set autosuspend delay for hda bus device"

  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Revert "Input: alps - don't handle ALPS cs19 trackpoint-only device"
    - Input: alps - don't handle ALPS cs19 trackpoint-only device
    - Input: alps - fix a mismatch between a condition check and its comment

  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - SAUCE: i915: set disable_power_well=0 for icl temporarily

  * alsa/sof: The definition of ROM state register is not correct (LP: #1837500)
    - ASoC: SOF: Intel: HDA: correct ROM state mask

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  [ Ubuntu: 5.0.0-25.26 ]

  * CVE-2019-1125
    - x86/cpufeatures: Carve out CQM features retrieval
    - x86/cpufeatures: Combine word 11 and 12 into a new scattered features word
    - x86/speculation: Prepare entry code for Spectre v1 swapgs mitigations
    - x86/speculation: Enable Spectre v1 swapgs mitigations
    - x86/entry/64: Use JMP instead of JMPQ
    - x86/speculation/swapgs: Exclude ATOMs from speculation through SWAPGS

  [ Ubuntu: 5.0.0-24.25 ]

  * disco/linux: 5.0.0-24.25 -proposed tracker (LP: #1838395)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
  * hibmc-drm Causes Unreadable Display for Huawei amd64 Servers (LP: #1762940)
    - [Config] Set CONFIG_DRM_HISI_HIBMC to arm64 only
    - SAUCE: Make CONFIG_DRM_HISI_HIBMC depend on ARM64
  * [18.04 FEAT] zKVM: Add hardware CPU Model - kernel part (LP: #1836153)
    - KVM: s390: add debug logging for cpu model subfunctions
    - KVM: s390: implement subfunction processor calls
    - KVM: s390: add vector enhancements facility 2 to cpumodel
    - KVM: s390: add vector BCD enhancements facility to cpumodel
    - KVM: s390: add MSA9 to cpumodel
    - KVM: s390: provide query function for instructions returning 32 byte
    - KVM: s390: add enhanced sort facilty to cpu model
    - KVM: s390: add deflate conversion facilty to cpu model
    - KVM: s390: enable MSA9 keywrapping functions depending on cpu model
  * bcache: risk of data loss on I/O errors in backing or caching devices
    (LP: #1829563)
    - Revert "bcache: set CACHE_SET_IO_DISABLE in bch_cached_dev_error()"
  * Intel ethernet I219 has...

Changed in linux-oem-osp1 (Ubuntu):
status: Fix Committed → Fix Released
You-Sheng Yang (vicamo) wrote :

For Bionic/Cosmic/Disco generic kernel users, this bug depends on previous work in bug 1809224, which is too many/risky to backport to a already released generic kernel. Please use oem-osp1 kernel instead.

Changed in linux (Ubuntu Bionic):
status: New → Won't Fix
Changed in linux (Ubuntu Cosmic):
status: New → Won't Fix
Changed in linux (Ubuntu Disco):
status: New → Won't Fix
Changed in linux (Ubuntu):
status: New → Won't Fix
You-Sheng Yang (vicamo) on 2019-10-14
tags: added: verification-done-bionic
You-Sheng Yang (vicamo) on 2019-10-14
tags: added: verification-done-disco
Andy Whitcroft (apw) wrote :

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.178.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Andy Whitcroft (apw) wrote :

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.11 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Has the linux-firmware in bionic-proposed and disco-proposed been tested and verified as working? I see the verification tags have been set prior to the packages getting accepted. Let me revert the tags before I get confirmation.

Thanks.

tags: added: verification-needed-bionic verification-needed-disco
removed: verification-done-bionic verification-done-disco
Seth Forshee (sforshee) wrote :

@Łukasz the versions currently in -proposed replaced versions which were still in -proposed. The verification had been done based on the previous -proposed version; does it need to be verified again?

Łukasz Zemczak (sil2100) wrote :

@Seth so the general process mentions that all bugs need to be re-verified after getting rebuilt, to make sure none of the changes got dropped by mistake and/or the additional did not cause regressions. We do allow for exceptions of course, since some changes might be small or self-contained enough that we can just forward copy the verification. In this case I'd like it to be possible, but the verification doesn't give me much to work with sadly - the tags were switched to 'verified' without stating any information like which package versions/combinations have been used or what tests have been performed. It doesn't feel like something I could let through without rising some eyebrows.

Not sure how the verification of other bugs in this upload looked like, but in this case I'd prefer re-verification.

You-Sheng Yang (vicamo) wrote :

I changed the tag after verified the blobs contained in the built deb have the same checksum with that of what I proposed. Didn't leave a message though. Will verify again and comment tomorrow.

You-Sheng Yang (vicamo) wrote :

Verified bionic 1.173.11, disco 1.178.5. Has the same md5sum as I proposed https://code.launchpad.net/~vicamo/ubuntu/+source/linux-firmware/+git/linux-firmware/+ref/bug-1842893/add-firmware-for-intel-bt-19-32-4/bionic, https://code.launchpad.net/~vicamo/ubuntu/+source/linux-firmware/+git/linux-firmware/+ref/bug-1842893/add-firmware-for-intel-bt-19-32-4/disco:

$ md5sum intel/ibt-19-32-4.ddc intel/ibt-19-32-4.sfi
a575af7c88f4c74841d71dd5fc273a3d intel/ibt-19-32-4.ddc
7753b2a34fa3647c76c116abf3240c22 intel/ibt-19-32-4.sfi

tags: added: verification-done-bionic verification-done-disco
removed: verification-needed-bionic verification-needed-disco
You-Sheng Yang (vicamo) wrote :

Correct: for this bug 1835879:

$ md5sum intel/ibt-19-32-0.ddc intel/ibt-19-32-0.sfi
a575af7c88f4c74841d71dd5fc273a3d intel/ibt-19-32-0.ddc
92f4fbe0c58d4b704ab590f7665b2f9c intel/ibt-19-32-0.sfi

de Labbey (cabirto) wrote :

I use Linux-Mint 19.2 with those wifi-cards and have no wifi (see my post on linux foundation https://forum.linuxfoundation.org/discussion/856303/wifi-driver-acer-aspire-a515-54#latest)

I think I should test this package but have found no clear wiki on how to test linux-proposed package on Mint.

Could you send me a link to a wiki or give me instructions to enable the proposed repository on Mint ?

de Labbey (cabirto) wrote :

I use Linux-Mint 19.2 with those wifi-cards and have no wifi (see my post on linux foundation https://forum.linuxfoundation.org/discussion/856303/wifi-driver-acer-aspire-a515-54#latest)

I think I should test this package but have found no clear wiki on how to test linux-proposed package on Mint.

Could you send me a link to a wiki or give me instructions to enable the proposed repository on Mint ?

de Labbey (cabirto) wrote :

After successfully installing, nothing seems to have changed. I still have no wifi and no wifi card detected through lspci.

de Labbey (cabirto) wrote :

After looking at the result of lspci, I put here the result of "sudo lspci -vv -s 00:14.3" wich corresponds to "Network controller [0280]: Intel Corporation Device [8086:02f0]".

de Labbey (cabirto) wrote :

Bug fixed by upgrading linux kernel to 5.3.0-19-generic

Timo Aaltonen (tjaalton) wrote :

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.178.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Timo Aaltonen (tjaalton) wrote :

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.12 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

You-Sheng Yang (vicamo) wrote :

verified bionic version 1.173.12:

  $ md5sum intel/ibt-19-32-0.ddc intel/ibt-19-32-0.sfi
  a575af7c88f4c74841d71dd5fc273a3d intel/ibt-19-32-0.ddc
  92f4fbe0c58d4b704ab590f7665b2f9c intel/ibt-19-32-0.sfi

verified disco version 1.178.6:

  $ md5sum intel/ibt-19-32-0.ddc intel/ibt-19-32-0.sfi
  a575af7c88f4c74841d71dd5fc273a3d intel/ibt-19-32-0.ddc
  92f4fbe0c58d4b704ab590f7665b2f9c intel/ibt-19-32-0.sfi

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.173.12

---------------
linux-firmware (1.173.12) bionic; urgency=medium

  * Firmware for Radeon RX5700 (navi10) missing / boot failure
    (LP: #1848848)
    - amdgpu: add initial navi10 firmware

  * update-initramfs complains of missing amdgpu firmware files
    (LP: #1850654)
    - amdgpu: add new raven rlc firmware

  * Add RTL8822cu bluetooth support (LP: #1849598)
    - rtl_bt: Add firmware and configuration files for the Bluetooth part of RTL8822CU
    - rtl_bt: Update firmware for BT part of RTL8822C
    - rtl_bt: Update RTL8822C BT FW to V0x098A_94A4
    - rtl_bt: Update configuration file for BT part of RTL8822CU

  * System will auto resume from sleep on receiving LE ADV after paired
    with BT LE devices(LP: #1849779)
    - linux-firmware: Update firmware file for Intel Bluetooth 9260

  * Intel Bluetooth AX201 HarrisonPeak (HrP) firmware causes system hang
    in deep suspend (LP: #1850738)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Revert the firmware update for sound/sof (LP: #1850739)
    - Revert "UBUNTU: SAUCE: update firmware for sound sof driver to fix hang issues"

  * Add support for Realtek 8723DE wireless adapter (LP: #1780590)
    - rtw88: RTL8723D: add firmware file v48

linux-firmware (1.173.11) bionic; urgency=medium

  * Intel Bluetooth AX201, aka HarrisonPeak (HrP), not supported
    (LP: #1842893)
    - linux-firmware: Add firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * update firmware for sound sof driver to fix the hang issue on several
    Dell machines (LP: #1847250)
    - SAUCE: update firmware for sound sof driver to fix hang issues

linux-firmware (1.173.10) bionic; urgency=medium

  * Intel Wireless-AC 9462/9560 not supported on ICL (LP: #1835879)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Bluetooth fails with "Bluetooth: hci0: request failed to create LE
    connection: status 0x0c" message with Kernel 4.20 and up [9df0:0034]
    (LP: #1836467)
    - linux-firmware: Update firmware file for Intel Bluetooth 9560

  * [Intel CyclonePeak] Pairing new BT mouse fails sometimes Edit
    (LP: #1836983)
    - linux-firmware: Update firmware file for Intel Bluetooth 22161

 -- Seth Forshee <email address hidden> Tue, 05 Nov 2019 16:14:05 -0600

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.178.6

---------------
linux-firmware (1.178.6) disco; urgency=medium

  * Add RTL8822cu bluetooth support (LP: #1849598)
    - rtl_bt: Update RTL8822C BT FW to V0x098A_94A4
    - rtl_bt: Update configuration file for BT part of RTL8822CU

  * System will auto resume from sleep on receiving LE ADV after paired
    with BT LE devices(LP: #1849779)
    - linux-firmware: Update firmware file for Intel Bluetooth 9260

  * Intel Bluetooth AX201 HarrisonPeak (HrP) firmware causes system hang
    in deep suspend (LP: #1850738)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Revert the firmware update for sound/sof (LP: #1850739)
    - Revert "UBUNTU: SAUCE: update firmware for sound sof driver to fix hang issues"

  * Add support for Realtek 8723DE wireless adapter (LP: #1780590)
    - rtw88: RTL8723D: add firmware file v48

linux-firmware (1.178.5) disco; urgency=medium

  * Intel Bluetooth AX201, aka HarrisonPeak (HrP), not supported
    (LP: #1842893)
    - linux-firmware: Add firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * update firmware for sound sof driver to fix the hang issue on several
    Dell machines (LP: #1847250)
    - SAUCE: update firmware for sound sof driver to fix hang issues

linux-firmware (1.178.4) disco; urgency=medium

  * Intel Wireless-AC 9462/9560 not supported on ICL (LP: #1835879)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Bluetooth fails with "Bluetooth: hci0: request failed to create LE
    connection: status 0x0c" message with Kernel 4.20 and up [9df0:0034]
    (LP: #1836467)
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth 9560

  * [Intel CyclonePeak] Pairing new BT mouse fails sometimes Edit
    (LP: #1836983)
    - linux-firmware: Update firmware file for Intel Bluetooth 22161

 -- Seth Forshee <email address hidden> Tue, 05 Nov 2019 15:56:27 -0600

Changed in linux-firmware (Ubuntu Disco):
status: Fix Committed → Fix Released
You-Sheng Yang (vicamo) on 2019-11-15
Changed in linux-firmware (Ubuntu):
status: Fix Committed → Fix Released
Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.